> ## Documentation Index
> Fetch the complete documentation index at: https://docs.struct.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get trader overview

> Retrieve a trader's profile including stats and trading history summary



## OpenAPI

````yaml https://api.struct.to/openapi.json get /polymarket/trader/profile/{address}
openapi: 3.1.0
info:
  title: Polymarket API
  description: >-
    RESTful API for querying Polymarket prediction markets data including
    events, markets, traders, holders, and real-time metrics
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.struct.to/v1
security: []
paths:
  /polymarket/trader/profile/{address}:
    get:
      tags:
        - Trader
      summary: Get trader overview
      description: Retrieve a trader's profile including stats and trading history summary
      operationId: get_trader_profile
      parameters:
        - name: address
          in: path
          description: Trader wallet address
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Trader profile information with username, bio, and badges
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PolymarketUserProfile'
components:
  schemas:
    PolymarketUserProfile:
      type: object
      description: Polymarket user profile (public API format)
      required:
        - proxy_wallet
        - display_username_public
        - verified_badge
        - is_creator
        - is_mod
      properties:
        proxy_wallet:
          type: string
        name:
          type:
            - string
            - 'null'
        pseudonym:
          type:
            - string
            - 'null'
        bio:
          type:
            - string
            - 'null'
        profile_image:
          type:
            - string
            - 'null'
        x_username:
          type:
            - string
            - 'null'
        display_username_public:
          type: boolean
        verified_badge:
          type: boolean
        user_id:
          type:
            - string
            - 'null'
        is_creator:
          type: boolean
        is_mod:
          type: boolean
        created_at:
          type:
            - string
            - 'null'

````